Skip to main content
PATCH
/
v1
/
collections
/
{id}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Update collection properties
const collection = await solifyn.collections.update('col_019e56a1...', {
  name: 'SaaS Bestsellers'
});
console.log('Collection Updated:', collection);
{
  "message": "Collection updated successfully"
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

Collection ID

Example:

"col_123"

Body

application/json
name
string

The friendly name of the collection

Example:

"Winter Course Bundle"

description
string

A detailed description of this collection

Example:

"Get all our premium programming courses at a highly discounted price."

imageUrl
string

The display cover image URL for this collection

Example:

"https://images.unsplash.com/photo-123"

Response

200 - application/json

Collection updated successfully.

message
string
required

Response message indicating the outcome of the action.

Example:

"Collection updated successfully"